--If a Command has "NOTESKIN:GetMetricA" in it, that means it gets the command from the metrics.ini, else use cmd(); to define command.
--If you dont know how "NOTESKIN:GetMetricA" works here is an explanation.
--NOTESKIN:GetMetricA("The [Group] in the metrics.ini", "The actual Command to fallback on in the metrics.ini");
local sPlayer = Var "Player";
local t = Def.ActorFrame {
	Def.Sprite {
		Texture=NOTESKIN:GetPath( '_down', 'Go Receptor' );
		Frame0000=0;
		Delay0000=0.2;
		Frame0001=1;
		Delay0001=0.8;
		InitCommand=function(self)
			self:effectclock("beat")
		end;
		NoneCommand=NOTESKIN:GetMetricA("ReceptorArrow", "NoneCommand");
		PressCommand=NOTESKIN:GetMetricA("ReceptorArrow", "PressCommand");
		LiftCommand=NOTESKIN:GetMetricA("ReceptorArrow", "LiftCommand");
		W5Command=NOTESKIN:GetMetricA("ReceptorArrow", "W5Command");
		W4Command=NOTESKIN:GetMetricA("ReceptorArrow", "W4Command");
		W3Command=NOTESKIN:GetMetricA("ReceptorArrow", "W3Command");
		W2Command=NOTESKIN:GetMetricA("ReceptorArrow", "W2Command");
		W1Command=NOTESKIN:GetMetricA("ReceptorArrow", "W1Command");
	};
	--[[OnCommand=function()
	--This used to offset columns because the middle column was bigger. No longer necessary but could be useful for knowing how move things
        local getc = SCREENMAN:GetTopScreen():GetChild("Player"..ToEnumShortString(sPlayer)):GetChild("NoteField"):get_column_actors()
        getc[1]:x(16) --button 1;
        getc[2]:x(16) --button 2;
        getc[3]:x(16) --button 3;
        getc[4]:x(0) --button 4;
        getc[5]:x(-16) --button 5;
        getc[6]:x(-16) --button 6;
        getc[7]:x(-16) --button 7;
    end;--]]
};
return t;
